Skip to main content
`Ctrl`+`K`

# NEPCISSSetExtraction

Sets the extraction technique used in the CISS solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPCISSSetExtraction(NEP nep,NEPCISSExtraction extraction)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- extraction - the extraction technique, see `NEPCISSExtraction` for possible values

## Options Database Key

- -nep_ciss_extraction (ritz|hankel|caa) - sets the extraction technique

## Notes

By default, the Rayleigh-Ritz extraction is used (`NEP_CISS_EXTRACTION_RITZ`).

If the `hankel` or the `caa` option is specified (`NEP_CISS_EXTRACTION_HANKEL` or `NEP_CISS_EXTRACTION_CAA`), then the block Hankel method, or the communication-avoiding Arnoldi method, respectively, is used for extracting eigenpairs.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPCISS`, `NEPCISSGetExtraction()`, `NEPCISSExtraction`

## Level

advanced

## Location

src/nep/impls/ciss/nciss.c

## Implementations

NEPCISSSetExtraction_CISS() in src/nep/impls/ciss/nciss.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages